<?php
// like i said, we must never forget to start the session
session_start();

// is the one accessing this page logged in or not?
if (!isset($_SESSION['basic_is_logged_in']) 
    || $_SESSION['basic_is_logged_in'] !== true) {

    // not logged in, move to login page
    header('Location: index.php');
    exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title><?php echo $settings['biztitle'] ?></title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/mdb.css" rel="stylesheet">
    <link href="css/mystyle.css" rel="stylesheet">
    <script type="text/javascript"> function displayLoading() {  if (document.getElementById('upload-progress')) {   document.getElementById('upload-progress').style.display='block';  } } </script>
	<script language="JavaScript" src="js/motionpack.js"></script>
</head>
<body>
<!--The PHP code starts here-->
<?php 

require ("settings.php");
require ("app.php");

?>
    <header>
        <nav class="navbar fixed-top navbar-expand-lg navbar-light white scrolling-navbar">
            <div class="container">
                <a class="navbar-brand waves-effect" href="upload.php">
                    <strong class="blue-text"><?php echo $settings['bizname'] ?></strong>
                </a>

                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav mr-auto">
                    </ul>
                    <ul class="navbar-nav nav-flex-icons">
	                    <li class="nav-item">
                            <a href="<?php echo $settings['bizlink'] ?>" class="nav-link border border-light rounded waves-effect">
                                <i class="fa fa-globe mr-2"></i>Vist Website
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="logout.php" class="nav-link border border-light rounded waves-effect">
                                <i class="fa fa-sign-out mr-2"></i>Log Out
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
<main class="mt-5 pt-5">
<div class="container"><br/>
<h2 class="title"><strong>Click choose image then click upload image button.</strong></h2>
<div class="row">
<div class="col-md-12 mb-5">
<form method="post" action="?fct=upload" enctype="multipart/form-data" >
<input type="file" name="image" size="80" class="fileinput form-control" ></input>
<div id="upload-progress" style="display:none" class="uploadprogress">Please wait, uploading image...</div>
<?php uploadoptions(); ?>
<?php echo $message; ?>
<div class="buttoncontainer">
<input type="submit" name="upload" value="Upload Image" class="inputbutton btn btn-danger btn-md waves-effect waves-light" onClick="displayLoading();"></input>
</div>
</form>
</div>
</div>

            <section class="text-center">
                <div class="row mb-4 wow fadeIn">
                    <?php listimages(); ?>
                </div>
            </section>

       </div>
    </main>

    <footer class="page-footer text-center font-small mdb-color darken-2 mt-4 wow fadeIn">
        <div class="pt-4">
            <a class="btn btn-outline-white" href="<?php echo $settings['bizlink'] ?>" role="button">Visit Website
                <i class="fa fa-globe ml-2"></i>
            </a>
            <a class="btn btn-outline-white" href="logout.php" role="button">Log Out
                <i class="fa fa-sign-out ml-2"></i>
            </a>
        </div>
        <br/>
<div class="footer-copyright py-3">
<?php echo $settings['bizfoot'] ?> &bull; 2018 © Copyright &bull; Designed by canngay.com
</div>
    </footer>
    <script type="text/javascript" src="js/jquery-3.3.1.min.js"></script>
    <script type="text/javascript" src="js/popper.min.js"></script>
    <script type="text/javascript" src="js/bootstrap.min.js"></script>
    <script type="text/javascript" src="js/mdb.min.js"></script>
    <script type="text/javascript">
        new WOW().init();
    </script>
</body>

</html>